const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        IMG_NAME: app.IMG_NAME,
        queryParam: {
            switchTitle1: '包邮',
            switchTitle2: '团购',
            itemTitle: '筛选',
            meetingTypeDict: {
                list: [{
                        text: '会议室类型',
                        value: 0
                    },
                    {
                        text: '会议室',
                        value: 1
                    },
                    {
                        text: '茶室',
                        value: 2
                    },
                ],
                value: 0,
            }
        }
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        // 页面初始化 options为页面跳转所带来的参数
        wx.setNavigationBarTitle({
            title: options.name
        })
    },

    // 查询条件-会议类型
    meetingTypeQueryChange(e){
        console.log('meetingTypeQueryChange', e);
        let queryParam = this.data.queryParam;
        queryParam.meetingTypeDict.value = e.detail;
        this.setData({
            queryParam
        })
    },

    // 会议室
    jumpMeetingRoom() {
        wx.navigateTo({
            url: "/pages/meeting/meetingRoom/meetingRoom",
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})